// ----------------------------------------------------------------------------
// (c) 1,994 Juan Miguel Sosso Prieto - Todos los derechos reservados
// Autor...: Juan Miguel Sosso
// Proyecto: Contabilidad Personal
// Mdulo..: Mantenimiento de Grupos
// Fecha...: Mon  16-05-94
// Hora....: 11:33:35

#include "inkey.ch"
#include "sptools.ch"

// ----------------------------------------------------------------------------

proc Grupos()

   local oMnu
   local oBrw

   DEFINE MENU oMnu AT MaxRow()
      MENUITEM " &Modificar " ACTION EditGrupo( oBrw )
      MENUITEM " &Aadir "    ACTION AddGrupo( oBrw )
      MENUITEM " &Eliminar "  ACTION Eliminar( oBrw )
      MENUITEM " &Salir "     ACTION .t.
   ENDMENU

   oMnu:lOpened = .f.

   DEFINE BROWSE oBrw SIZE MaxRow() - 1, 57 ALIAS Grupo ;
          COLSEP " " FOOTSEP "" ;
          TITLE "GRUPOS CONTABLES"
      COLUMN "N"          DATA Grupo->nGRUPO
      COLUMN "DESCRIPCION" DATA Grupo->cDESC
      COLUMN "INGRESO"     DATA Transform( Grupo->nINGRESO, "9,999,999" )
      COLUMN "GASTO"       DATA Transform( Grupo->nGASTO, "9,999,999" )

      ON DBLCLICK          DO EditGrupo( oBrw )
   ENDBROWSE

   oBrw:GoTop()

   ACTIVATE BROWSE oBrw MENUBAR oMnu

return

// ----------------------------------------------------------------------------

static proc EditGrupo( oBrw )

   local GetList := {}
   local aField  := {}
   local oWnd

   DEFINE WINDOW oWnd SIZE 9, 49 TITLE "GRUPO"
   ACTIVATE WINDOW oWnd
   Grupo->( SaveFields( aField ) )

   @ 2,  3 SAY "Grupo......:" GET Grupo->nGRUPO ;
                              MESSAGE "Nmero de grupo contable"
   @ 4,  3 SAY "Descripcin:" GET Grupo->cDESC ;
                              MESSAGE "Descripcin del grupo contable"

   @ 6, 20 BUTTON "  &Aceptar  "  ACTION BTN_OK ;
                                  MESSAGE "Grabar el grupo"
   @ 6, 34 BUTTON "  &Cancelar  " ACTION BTN_CANCEL ;
                                  MESSAGE "Descartar las modificaciones"

   READ

   if LastKey() == K_ESC
      Grupo->( RestFields( aField ) )
   else
      oBrw:RefreshAll()
   endif

   DEACTIVATE WINDOW oWnd

return

// ----------------------------------------------------------------------------

static proc AddGrupo( oBrw )

   local nActual := Grupo->( RecNo() )

   Grupo->( DbAppend() )
   EditGrupo( oBrw )
   if LastKey() == K_ESC
      Grupo->( DbDelete() )
      Grupo->( DbGoto( nActual ) )
   endif

return

// ----------------------------------------------------------------------------

static proc Eliminar( oBrw )

   if nMsgBox( "Est seguro de querer eliminar el grupo?", ;
               { "  &Eliminar  ", "  &Cancelar  " } ) == 1
      Grupo->( DbDelete() )
      Grupo->( DbSkip() )
      oBrw:RefreshAll()
   endif

return

// ----------------------------------------------------------------------------
